Create a forwarding rule
Creates an inbound email forwarding rule and returns it. Responds with 201. Use this endpoint to create a forwarding rule through the Samva email API.
Creates an inbound email forwarding rule and returns it. Responds with 201.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
description?string|null
domainId?|null
sourcePattern?string|null
forwardTo*array<string>
preserveHeaders?boolean|null
appendNote?string|null
conditions?|null
priority?number|null
isActive?boolean|null
metadata?|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/forwarding" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "forwardTo": [ "string" ] }'{ "id": "string", "name": "string", "forwardTo": [ "string" ], "priority": 0, "isActive": true, "createdAt": "string"}